<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
  <meta charset="UTF-8">
  <title>Login</title>

  <!-- Favicons -->
  <link href="../../static/img/favicon.png" th:href="@{/img/favicon.png}" rel="icon">
  <link href="../../static/img/apple-touch-icon.png" th:href="@{/img/apple-touch-icon.png}" rel="apple-touch-icon">

  <!-- Google Fonts -->
  <link href="https://fonts.gstatic.com" rel="preconnect">
  <link
      href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Nunito:300,300i,400,400i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i"
      rel="stylesheet">

  <!-- Vendor CSS Files -->
  <link href="../../static/vendor/bootstrap/css/bootstrap.min.css"
        th:href="@{/vendor/bootstrap/css/bootstrap.min.css}" rel="stylesheet">
  <link href="../../static/vendor/bootstrap-icons/bootstrap-icons.css"
        th:href="@{/vendor/bootstrap-icons/bootstrap-icons.css}" rel="stylesheet">
  <link href="../../static/vendor/boxicons/css/boxicons.min.css" th:href="@{/vendor/boxicons/css/boxicons.min.css}"
        rel="stylesheet">
  <link href="../../static/vendor/quill/quill.snow.css" th:href="@{/vendor/quill/quill.snow.css}" rel="stylesheet">
  <link href="../../static/vendor/quill/quill.bubble.css" th:href="@{/vendor/quill/quill.bubble.css}"
        rel="stylesheet">
  <link href="../../static/vendor/remixicon/remixicon.css" th:href="@{/vendor/remixicon/remixicon.css}"
        rel="stylesheet">
  <link href="../../static/vendor/simple-datatables/style.css" th:href="@{/vendor/simple-datatables/style.css}"
        rel="stylesheet">

  <!-- Template Main CSS File -->
  <link href="../../static/css/style.css" th:href="@{/css/style.css}" rel="stylesheet">

</head>


<body>
<form th:replace="fragments/navbar.html :: navbar"></form>

<form th:replace="fragments/navbar.html :: sidebar"></form>

<main id="main" class="main">

  <div class="pagetitle">
    <nav>
      <ol class="breadcrumb">
        <li class="breadcrumb-item"><a th:href="@{/}">Home</a></li>
        <li class="breadcrumb-item"><a th:href="@{/visits}">Visits</a></li>
      </ol>
    </nav>
  </div><!-- End Page Title -->

  <section class="section profile">
    <div class="row">
      <div class="col-xl-4">

      </div>


      <div class="col-12">
        <div class="card recent-sales overflow-auto">

          <div class="card-body">
            <h5 class="card-title">Visits <span>| List</span></h5>
            <!--            <p th:unless="${message}" class="text-danger" th:text="${message}">Message</p>-->

            <table class="table datatable">
              <thead>
              <tr>
                <th scope="col">#</th>
                <th scope="col">Owner</th>
                <th scope="col">Licence plate</th>
                <th scope="col">CheckIn</th>
                <th scope="col">Status</th>
                <th scope="col">Total price</th>
              </tr>
              </thead>
              <tbody>
              <tr th:each="visit:${visits}">
                <th scope="row">
                  <a th:href="@{/visits/{visitId}(visitId=${visit.visitId})}"
                     class="text-primary" th:text="${visitStat.count}">1</a></th>
                <td class="text-primary"><a th:href="@{/customers/{userId}(userId=${visit.user.userId})}"
                                            th:text="${visit.user.firstName+' '+visit.user.lastName}">Owner</a></td>
                <td class="text-primary"><a th:href="@{/cars/{carId}(carId=${visit.car.carId})}"
                                            th:text="${visit.car.licensePlate}">Licence plate</a></td>
                <td th:text="${visit.showCheckInDate()+' '+visit.showCheckInTime()}">CheckIn</td>
                <td th:if="${visit.checkOut == null && visit.services.isEmpty()}"><span class="badge bg-secondary">Not started</span></td>
                <td th:if="${visit.checkOut == null && !visit.services.isEmpty()}"><span class="badge bg-warning">In progress..</span></td>
                <td th:unless="${visit.checkOut == null}"><span class="badge bg-success">Finished</span></td>
                <td><span class="badge bg-light text-black"
                          th:text="${visit.getTotalPrice() + ' ' + 'BGN'}">Total price</span></td>
              </tr>
              </tbody>
            </table>

          </div>

        </div>
      </div><!-- End Visits Section -->


    </div>
  </section>


</main><!-- End #main -->

<a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i
    class="bi bi-arrow-up-short"></i></a>

<!-- Vendor JS Files -->
<script src="../../static/vendor/apexcharts/apexcharts.min.js"
        th:src="@{/vendor/apexcharts/apexcharts.min.js}"></script>
<script src="../../static/vendor/bootstrap/js/bootstrap.bundle.min.js"
        th:src="@{/vendor/bootstrap/js/bootstrap.bundle.min.js}"></script>
<script src="../../static/vendor/chart.js/chart.min.js" th:src="@{/vendor/chart.js/chart.min.js}"></script>
<script src="../../static/vendor/echarts/echarts.min.js" th:src="@{/vendor/echarts/echarts.min.js}"></script>
<script src="../../static/vendor/quill/quill.min.js" th:src="@{/vendor/quill/quill.min.js}"></script>
<script src="../../static/vendor/simple-datatables/simple-datatables.js"
        th:src="@{/vendor/simple-datatables/simple-datatables.js}"></script>
<script src="../../static/vendor/tinymce/tinymce.min.js" th:src="@{/vendor/tinymce/tinymce.min.js}"></script>
<script src="../../static/vendor/php-email-form/validate.js" th:src="@{/vendor/php-email-form/validate.js}"></script>

<!-- Template Main JS File -->
<script src="../../static/js/main.js" th:src="@{js/main.js}"></script>


</body>
</html>